Name:           python-ddtrace
Version:        3.3.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Datadog APM client library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/DataDog/dd-trace-py
Source:         %{pypi_source ddtrace}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'ddtrace' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-ddtrace
Summary:        %{summary}

%description -n python3-ddtrace %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-ddtrace openai,opentracing


%prep
%autosetup -p1 -n ddtrace-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x openai,opentracing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-ddtrace -f %{pyproject_files}


%changelog
%autochangelog